import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as RolesAPI from 'cloudflare/resources/accounts/roles';
import * as Shared from 'cloudflare/resources/shared';
import { RolesSinglePage } from 'cloudflare/resources/shared';
export declare class Roles extends APIResource {
    /**
     * Get all available roles for an account.
     */
    list(params: RoleListParams, options?: Core.RequestOptions): Core.PagePromise<RolesSinglePage, Shared.Role>;
    /**
     * Get information about a specific role for an account.
     */
    get(roleId: unknown, params: RoleGetParams, options?: Core.RequestOptions): Core.APIPromise<RoleGetResponse>;
}
export type RoleGetResponse = unknown | string | null;
export interface RoleListParams {
    account_id: unknown;
}
export interface RoleGetParams {
    account_id: unknown;
}
export declare namespace Roles {
    export import RoleGetResponse = RolesAPI.RoleGetResponse;
    export import RoleListParams = RolesAPI.RoleListParams;
    export import RoleGetParams = RolesAPI.RoleGetParams;
}
export { RolesSinglePage };
//# sourceMappingURL=roles.d.ts.map