import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as AccountsAPI from 'cloudflare/resources/addressing/address-maps/accounts';
export declare class Accounts extends APIResource {
    /**
     * Add an account as a member of a particular address map.
     */
    update(addressMapId: string, params: AccountUpdateParams, options?: Core.RequestOptions): Core.APIPromise<AccountUpdateResponse | null>;
    /**
     * Remove an account as a member of a particular address map.
     */
    delete(addressMapId: string, params: AccountDeleteParams, options?: Core.RequestOptions): Core.APIPromise<AccountDeleteResponse | null>;
}
export type AccountUpdateResponse = Array<unknown>;
export type AccountDeleteResponse = Array<unknown>;
export interface AccountUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface AccountDeleteParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export declare namespace Accounts {
    export import AccountUpdateResponse = AccountsAPI.AccountUpdateResponse;
    export import AccountDeleteResponse = AccountsAPI.AccountDeleteResponse;
    export import AccountUpdateParams = AccountsAPI.AccountUpdateParams;
    export import AccountDeleteParams = AccountsAPI.AccountDeleteParams;
}
//# sourceMappingURL=accounts.d.ts.map