// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
import * as ServicesAPI from 'cloudflare/resources/addressing/services';
import { SinglePage } from 'cloudflare/pagination';
export class Services extends APIResource {
    /**
     * Bring-Your-Own IP (BYOIP) prefixes onboarded to Cloudflare must be bound to a
     * service running on the Cloudflare network to enable a Cloudflare product on the
     * IP addresses. This endpoint can be used as a reference of available services on
     * the Cloudflare network, and their service IDs.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.getAPIList(`/accounts/${account_id}/addressing/services`, ServiceListResponsesSinglePage, options);
    }
}
export class ServiceListResponsesSinglePage extends SinglePage {
}
(function (Services) {
    Services.ServiceListResponsesSinglePage = ServicesAPI.ServiceListResponsesSinglePage;
})(Services || (Services = {}));
//# sourceMappingURL=services.mjs.map