import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as AvailableAlertsAPI from 'cloudflare/resources/alerting/available-alerts';
export declare class AvailableAlerts extends APIResource {
    /**
     * Gets a list of all alert types for which an account is eligible.
     */
    list(params: AvailableAlertListParams, options?: Core.RequestOptions): Core.APIPromise<AvailableAlertListResponse | null>;
}
export type AvailableAlertListResponse = unknown | Array<unknown> | string;
export interface AvailableAlertListParams {
    /**
     * The account id
     */
    account_id: string;
}
export declare namespace AvailableAlerts {
    export import AvailableAlertListResponse = AvailableAlertsAPI.AvailableAlertListResponse;
    export import AvailableAlertListParams = AvailableAlertsAPI.AvailableAlertListParams;
}
//# sourceMappingURL=available-alerts.d.ts.map