"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageResource = void 0;
const resource_1 = require("cloudflare/resource");
class MessageResource extends resource_1.APIResource {
    /**
     * Creating a request adds the request into the Cloudforce One queue for analysis.
     * In addition to the content, a short title, type, priority, and releasability
     * should be provided. If one is not provided a default will be assigned.
     */
    create(accountIdentifier, requestIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message/new`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a Request Message
     */
    update(accountIdentifier, requestIdentifier, messageIdentifer, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message/${messageIdentifer}`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete a Request Message
     */
    delete(accountIdentifier, requestIdentifier, messageIdentifer, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message/${messageIdentifer}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * List Request Messages
     */
    get(accountIdentifier, requestIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/cloudforce-one/requests/${requestIdentifier}/message`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
}
exports.MessageResource = MessageResource;
(function (MessageResource) {
})(MessageResource = exports.MessageResource || (exports.MessageResource = {}));
//# sourceMappingURL=message.js.map