import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as UUIDAPI from 'cloudflare/resources/dcv-delegation/uuid';
export declare class UUID extends APIResource {
    /**
     * Retrieve the account and zone specific unique identifier used as part of the
     * CNAME target for DCV Delegation.
     */
    get(params: UUIDGetParams, options?: Core.RequestOptions): Core.APIPromise<DCVDelegationUUID>;
}
export interface DCVDelegationUUID {
    /**
     * The DCV Delegation unique identifier.
     */
    uuid?: string;
}
export interface UUIDGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace UUID {
    export import DCVDelegationUUID = UUIDAPI.DCVDelegationUUID;
    export import UUIDGetParams = UUIDAPI.UUIDGetParams;
}
//# sourceMappingURL=uuid.d.ts.map