import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as DomainHistoryAPI from 'cloudflare/resources/intel/domain-history';
export declare class DomainHistoryResource extends APIResource {
    /**
     * Get Domain History
     */
    get(params: DomainHistoryGetParams, options?: Core.RequestOptions): Core.APIPromise<DomainHistoryGetResponse | null>;
}
export interface DomainHistory {
    categorizations?: Array<DomainHistory.Categorization>;
    domain?: string;
}
export declare namespace DomainHistory {
    interface Categorization {
        categories?: Array<unknown>;
        end?: string;
        start?: string;
    }
}
export type DomainHistoryGetResponse = Array<DomainHistory>;
export interface DomainHistoryGetParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Query param:
     */
    domain?: string;
}
export declare namespace DomainHistoryResource {
    export import DomainHistory = DomainHistoryAPI.DomainHistory;
    export import DomainHistoryGetResponse = DomainHistoryAPI.DomainHistoryGetResponse;
    export import DomainHistoryGetParams = DomainHistoryAPI.DomainHistoryGetParams;
}
//# sourceMappingURL=domain-history.d.ts.map