import { APIResource } from 'cloudflare/resource';
import * as DNSAPI from 'cloudflare/resources/intel/dns';
import * as DomainHistoryAPI from 'cloudflare/resources/intel/domain-history';
import * as IPListsAPI from 'cloudflare/resources/intel/ip-lists';
import * as IPsAPI from 'cloudflare/resources/intel/ips';
import * as MiscategorizationsAPI from 'cloudflare/resources/intel/miscategorizations';
import * as SinkholesAPI from 'cloudflare/resources/intel/sinkholes';
import * as WhoisAPI from 'cloudflare/resources/intel/whois';
import * as ASNAPI from 'cloudflare/resources/intel/asn/asn';
import * as AttackSurfaceReportAPI from 'cloudflare/resources/intel/attack-surface-report/attack-surface-report';
import * as DomainsAPI from 'cloudflare/resources/intel/domains/domains';
import * as IndicatorFeedsAPI from 'cloudflare/resources/intel/indicator-feeds/indicator-feeds';
export declare class Intel extends APIResource {
    asn: ASNAPI.ASN;
    dns: DNSAPI.DNS;
    domains: DomainsAPI.Domains;
    domainHistory: DomainHistoryAPI.DomainHistoryResource;
    ips: IPsAPI.IPs;
    ipLists: IPListsAPI.IPLists;
    miscategorizations: MiscategorizationsAPI.Miscategorizations;
    whois: WhoisAPI.Whois;
    indicatorFeeds: IndicatorFeedsAPI.IndicatorFeeds;
    sinkholes: SinkholesAPI.Sinkholes;
    attackSurfaceReport: AttackSurfaceReportAPI.AttackSurfaceReport;
}
export declare namespace Intel {
    export import ASN = ASNAPI.ASN;
    export import ASNGetParams = ASNAPI.ASNGetParams;
    export import DNS = DNSAPI.DNS;
    export import DNSListResponse = DNSAPI.DNSListResponse;
    export import DNSListResponsesV4PagePagination = DNSAPI.DNSListResponsesV4PagePagination;
    export import DNSListParams = DNSAPI.DNSListParams;
    export import Domains = DomainsAPI.Domains;
    export import Domain = DomainsAPI.Domain;
    export import DomainGetParams = DomainsAPI.DomainGetParams;
    export import DomainHistoryResource = DomainHistoryAPI.DomainHistoryResource;
    export import DomainHistory = DomainHistoryAPI.DomainHistory;
    export import DomainHistoryGetResponse = DomainHistoryAPI.DomainHistoryGetResponse;
    export import DomainHistoryGetParams = DomainHistoryAPI.DomainHistoryGetParams;
    export import IPs = IPsAPI.IPs;
    export import IP = IPsAPI.IP;
    export import IPGetResponse = IPsAPI.IPGetResponse;
    export import IPGetParams = IPsAPI.IPGetParams;
    export import IPLists = IPListsAPI.IPLists;
    export import IPList = IPListsAPI.IPList;
    export import IPListGetResponse = IPListsAPI.IPListGetResponse;
    export import IPListGetParams = IPListsAPI.IPListGetParams;
    export import Miscategorizations = MiscategorizationsAPI.Miscategorizations;
    export import MiscategorizationCreateResponse = MiscategorizationsAPI.MiscategorizationCreateResponse;
    export import MiscategorizationCreateParams = MiscategorizationsAPI.MiscategorizationCreateParams;
    export import Whois = WhoisAPI.Whois;
    export import WhoisGetParams = WhoisAPI.WhoisGetParams;
    export import IndicatorFeeds = IndicatorFeedsAPI.IndicatorFeeds;
    export import IndicatorFeedCreateResponse = IndicatorFeedsAPI.IndicatorFeedCreateResponse;
    export import IndicatorFeedUpdateResponse = IndicatorFeedsAPI.IndicatorFeedUpdateResponse;
    export import IndicatorFeedListResponse = IndicatorFeedsAPI.IndicatorFeedListResponse;
    export import IndicatorFeedDataResponse = IndicatorFeedsAPI.IndicatorFeedDataResponse;
    export import IndicatorFeedGetResponse = IndicatorFeedsAPI.IndicatorFeedGetResponse;
    export import IndicatorFeedListResponsesSinglePage = IndicatorFeedsAPI.IndicatorFeedListResponsesSinglePage;
    export import IndicatorFeedCreateParams = IndicatorFeedsAPI.IndicatorFeedCreateParams;
    export import IndicatorFeedUpdateParams = IndicatorFeedsAPI.IndicatorFeedUpdateParams;
    export import IndicatorFeedListParams = IndicatorFeedsAPI.IndicatorFeedListParams;
    export import IndicatorFeedDataParams = IndicatorFeedsAPI.IndicatorFeedDataParams;
    export import IndicatorFeedGetParams = IndicatorFeedsAPI.IndicatorFeedGetParams;
    export import Sinkholes = SinkholesAPI.Sinkholes;
    export import Sinkhole = SinkholesAPI.Sinkhole;
    export import SinkholesSinglePage = SinkholesAPI.SinkholesSinglePage;
    export import SinkholeListParams = SinkholesAPI.SinkholeListParams;
    export import AttackSurfaceReport = AttackSurfaceReportAPI.AttackSurfaceReport;
}
//# sourceMappingURL=intel.d.ts.map