// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
import * as KeysAPI from 'cloudflare/resources/kv/namespaces/keys';
import { CursorLimitPagination } from 'cloudflare/pagination';
export class Keys extends APIResource {
    /**
     * Lists a namespace's keys.
     */
    list(namespaceId, params, options) {
        const { account_id, ...query } = params;
        return this._client.getAPIList(`/accounts/${account_id}/storage/kv/namespaces/${namespaceId}/keys`, KeysCursorLimitPagination, { query, ...options });
    }
}
export class KeysCursorLimitPagination extends CursorLimitPagination {
}
(function (Keys) {
    Keys.KeysCursorLimitPagination = KeysAPI.KeysCursorLimitPagination;
})(Keys || (Keys = {}));
//# sourceMappingURL=keys.mjs.map