import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as PreviewsAPI from 'cloudflare/resources/load-balancers/previews';
export declare class Previews extends APIResource {
    /**
     * Get the result of a previous preview operation using the provided preview_id.
     */
    get(previewId: string, params: PreviewGetParams, options?: Core.RequestOptions): Core.APIPromise<PreviewGetResponse>;
}
/**
 * Resulting health data from a preview operation.
 */
export type PreviewGetResponse = Record<string, PreviewGetResponse.unnamed_schema_with_map_parent_0>;
export declare namespace PreviewGetResponse {
    interface unnamed_schema_with_map_parent_0 {
        healthy?: boolean;
        origins?: Array<Record<string, unnamed_schema_with_map_parent_0.load_balancing_origin_health_data>>;
    }
    namespace unnamed_schema_with_map_parent_0 {
        /**
         * The origin ipv4/ipv6 address or domain name mapped to it's health data.
         */
        interface load_balancing_origin_health_data {
            failure_reason?: string;
            healthy?: boolean;
            response_code?: number;
            rtt?: string;
        }
    }
}
export interface PreviewGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Previews {
    export import PreviewGetResponse = PreviewsAPI.PreviewGetResponse;
    export import PreviewGetParams = PreviewsAPI.PreviewGetParams;
}
//# sourceMappingURL=previews.d.ts.map