"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SippyResource = void 0;
const resource_1 = require("cloudflare/resource");
class SippyResource extends resource_1.APIResource {
    /**
     * Sets configuration for Sippy for an existing R2 bucket.
     */
    update(bucketName, params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/r2/buckets/${bucketName}/sippy`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Disables Sippy on this bucket
     */
    delete(bucketName, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/r2/buckets/${bucketName}/sippy`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets configuration for Sippy for an existing R2 bucket.
     */
    get(bucketName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/r2/buckets/${bucketName}/sippy`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.SippyResource = SippyResource;
(function (SippyResource) {
})(SippyResource = exports.SippyResource || (exports.SippyResource = {}));
//# sourceMappingURL=sippy.js.map