import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as PagesAPI from 'cloudflare/resources/speed/pages';
import * as SpeedAPI from 'cloudflare/resources/speed/speed';
import * as TestsAPI from 'cloudflare/resources/speed/tests';
import { SinglePage } from 'cloudflare/pagination';
export declare class Pages extends APIResource {
    /**
     * Lists all webpages which have been tested.
     */
    list(params: PageListParams, options?: Core.RequestOptions): Core.PagePromise<PageListResponsesSinglePage, PageListResponse>;
}
export declare class PageListResponsesSinglePage extends SinglePage<PageListResponse> {
}
export interface PageListResponse {
    /**
     * A test region with a label.
     */
    region?: SpeedAPI.LabeledRegion;
    /**
     * The frequency of the test.
     */
    scheduleFrequency?: 'DAILY' | 'WEEKLY';
    tests?: Array<TestsAPI.Test>;
    /**
     * A URL.
     */
    url?: string;
}
export interface PageListParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace Pages {
    export import PageListResponse = PagesAPI.PageListResponse;
    export import PageListResponsesSinglePage = PagesAPI.PageListResponsesSinglePage;
    export import PageListParams = PagesAPI.PageListParams;
}
//# sourceMappingURL=pages.d.ts.map