import { APIResource } from 'cloudflare/resource';
import * as AnalyzeAPI from 'cloudflare/resources/ssl/analyze';
import * as RecommendationsAPI from 'cloudflare/resources/ssl/recommendations';
import * as VerificationAPI from 'cloudflare/resources/ssl/verification';
import * as CertificatePacksAPI from 'cloudflare/resources/ssl/certificate-packs/certificate-packs';
import * as UniversalAPI from 'cloudflare/resources/ssl/universal/universal';
export declare class SSL extends APIResource {
    analyze: AnalyzeAPI.Analyze;
    certificatePacks: CertificatePacksAPI.CertificatePacks;
    recommendations: RecommendationsAPI.Recommendations;
    universal: UniversalAPI.Universal;
    verification: VerificationAPI.VerificationResource;
}
export declare namespace SSL {
    export import Analyze = AnalyzeAPI.Analyze;
    export import AnalyzeCreateResponse = AnalyzeAPI.AnalyzeCreateResponse;
    export import AnalyzeCreateParams = AnalyzeAPI.AnalyzeCreateParams;
    export import CertificatePacks = CertificatePacksAPI.CertificatePacks;
    export import Host = CertificatePacksAPI.Host;
    export import CertificatePackListResponse = CertificatePacksAPI.CertificatePackListResponse;
    export import CertificatePackDeleteResponse = CertificatePacksAPI.CertificatePackDeleteResponse;
    export import CertificatePackEditResponse = CertificatePacksAPI.CertificatePackEditResponse;
    export import CertificatePackGetResponse = CertificatePacksAPI.CertificatePackGetResponse;
    export import CertificatePackListResponsesSinglePage = CertificatePacksAPI.CertificatePackListResponsesSinglePage;
    export import CertificatePackListParams = CertificatePacksAPI.CertificatePackListParams;
    export import CertificatePackDeleteParams = CertificatePacksAPI.CertificatePackDeleteParams;
    export import CertificatePackEditParams = CertificatePacksAPI.CertificatePackEditParams;
    export import CertificatePackGetParams = CertificatePacksAPI.CertificatePackGetParams;
    export import Recommendations = RecommendationsAPI.Recommendations;
    export import RecommendationGetResponse = RecommendationsAPI.RecommendationGetResponse;
    export import Universal = UniversalAPI.Universal;
    export import VerificationResource = VerificationAPI.VerificationResource;
    export import Verification = VerificationAPI.Verification;
    export import VerificationEditResponse = VerificationAPI.VerificationEditResponse;
    export import VerificationGetResponse = VerificationAPI.VerificationGetResponse;
    export import VerificationEditParams = VerificationAPI.VerificationEditParams;
    export import VerificationGetParams = VerificationAPI.VerificationGetParams;
}
//# sourceMappingURL=ssl.d.ts.map