// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
import { isRequestOptions } from 'cloudflare/core';
import * as OrganizationsAPI from 'cloudflare/resources/user/organizations';
import { V4PagePaginationArray } from 'cloudflare/pagination';
export class Organizations extends APIResource {
    list(query = {}, options) {
        if (isRequestOptions(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/user/organizations', OrganizationsV4PagePaginationArray, {
            query,
            ...options,
        });
    }
    /**
     * Removes association to an organization.
     */
    delete(organizationId, body, options) {
        return this._client.delete(`/user/organizations/${organizationId}`, { body, ...options });
    }
    /**
     * Gets a specific organization the user is associated with.
     */
    get(organizationId, options) {
        return this._client.get(`/user/organizations/${organizationId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
export class OrganizationsV4PagePaginationArray extends V4PagePaginationArray {
}
(function (Organizations) {
    Organizations.OrganizationsV4PagePaginationArray = OrganizationsAPI.OrganizationsV4PagePaginationArray;
})(Organizations || (Organizations = {}));
//# sourceMappingURL=organizations.mjs.map