// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
import * as SecretsAPI from 'cloudflare/resources/workers-for-platforms/dispatch/namespaces/scripts/secrets';
import { SinglePage } from 'cloudflare/pagination';
export class Secrets extends APIResource {
    /**
     * Put secrets to a script uploaded to a Workers for Platforms namespace.
     */
    update(dispatchNamespace, scriptName, params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/workers/dispatch/namespaces/${dispatchNamespace}/scripts/${scriptName}/secrets`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetch secrets from a script uploaded to a Workers for Platforms namespace.
     */
    list(dispatchNamespace, scriptName, params, options) {
        const { account_id } = params;
        return this._client.getAPIList(`/accounts/${account_id}/workers/dispatch/namespaces/${dispatchNamespace}/scripts/${scriptName}/secrets`, SecretListResponsesSinglePage, options);
    }
}
export class SecretListResponsesSinglePage extends SinglePage {
}
(function (Secrets) {
    Secrets.SecretListResponsesSinglePage = SecretsAPI.SecretListResponsesSinglePage;
})(Secrets || (Secrets = {}));
//# sourceMappingURL=secrets.mjs.map