import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as FailedLoginsAPI from 'cloudflare/resources/zero-trust/access/users/failed-logins';
import { SinglePage } from 'cloudflare/pagination';
export declare class FailedLogins extends APIResource {
    /**
     * Get all failed login attempts for a single user.
     */
    list(identifier: string, id: string, options?: Core.RequestOptions): Core.PagePromise<FailedLoginListResponsesSinglePage, FailedLoginListResponse>;
}
export declare class FailedLoginListResponsesSinglePage extends SinglePage<FailedLoginListResponse> {
}
export interface FailedLoginListResponse {
    expiration?: number;
    metadata?: unknown;
}
export declare namespace FailedLogins {
    export import FailedLoginListResponse = FailedLoginsAPI.FailedLoginListResponse;
    export import FailedLoginListResponsesSinglePage = FailedLoginsAPI.FailedLoginListResponsesSinglePage;
}
//# sourceMappingURL=failed-logins.d.ts.map