"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SplitTunnelExcludesSinglePage = exports.Excludes = void 0;
const resource_1 = require("cloudflare/resource");
const ExcludesAPI = __importStar(require("cloudflare/resources/zero-trust/devices/policies/excludes"));
const pagination_1 = require("cloudflare/pagination");
class Excludes extends resource_1.APIResource {
    /**
     * Sets the list of routes excluded from the WARP client's tunnel.
     */
    update(params, options) {
        const { account_id, body } = params;
        return this._client.put(`/accounts/${account_id}/devices/policy/exclude`, {
            body: body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches the list of routes excluded from the WARP client's tunnel.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.getAPIList(`/accounts/${account_id}/devices/policy/exclude`, SplitTunnelExcludesSinglePage, options);
    }
    /**
     * Fetches the list of routes excluded from the WARP client's tunnel for a specific
     * device settings profile.
     */
    get(policyId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policy/${policyId}/exclude`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Excludes = Excludes;
class SplitTunnelExcludesSinglePage extends pagination_1.SinglePage {
}
exports.SplitTunnelExcludesSinglePage = SplitTunnelExcludesSinglePage;
(function (Excludes) {
    Excludes.SplitTunnelExcludesSinglePage = ExcludesAPI.SplitTunnelExcludesSinglePage;
})(Excludes = exports.Excludes || (exports.Excludes = {}));
//# sourceMappingURL=excludes.js.map