// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
import * as ExcludesAPI from 'cloudflare/resources/zero-trust/devices/policies/excludes';
import { SinglePage } from 'cloudflare/pagination';
export class Excludes extends APIResource {
    /**
     * Sets the list of routes excluded from the WARP client's tunnel.
     */
    update(params, options) {
        const { account_id, body } = params;
        return this._client.put(`/accounts/${account_id}/devices/policy/exclude`, {
            body: body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches the list of routes excluded from the WARP client's tunnel.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.getAPIList(`/accounts/${account_id}/devices/policy/exclude`, SplitTunnelExcludesSinglePage, options);
    }
    /**
     * Fetches the list of routes excluded from the WARP client's tunnel for a specific
     * device settings profile.
     */
    get(policyId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policy/${policyId}/exclude`, options)._thenUnwrap((obj) => obj.result);
    }
}
export class SplitTunnelExcludesSinglePage extends SinglePage {
}
(function (Excludes) {
    Excludes.SplitTunnelExcludesSinglePage = ExcludesAPI.SplitTunnelExcludesSinglePage;
})(Excludes || (Excludes = {}));
//# sourceMappingURL=excludes.mjs.map