import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as RevokeAPI from 'cloudflare/resources/zero-trust/devices/revoke';
export declare class Revoke extends APIResource {
    /**
     * Revokes a list of devices.
     */
    create(params: RevokeCreateParams, options?: Core.RequestOptions): Core.APIPromise<RevokeCreateResponse>;
}
export type RevokeCreateResponse = unknown | string | null;
export interface RevokeCreateParams {
    /**
     * Path param:
     */
    account_id: string;
    /**
     * Body param: A list of device ids to revoke.
     */
    body: Array<string>;
}
export declare namespace Revoke {
    export import RevokeCreateResponse = RevokeAPI.RevokeCreateResponse;
    export import RevokeCreateParams = RevokeAPI.RevokeCreateParams;
}
//# sourceMappingURL=revoke.d.ts.map