import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as UnrevokeAPI from 'cloudflare/resources/zero-trust/devices/unrevoke';
export declare class Unrevoke extends APIResource {
    /**
     * Unrevokes a list of devices.
     */
    create(params: UnrevokeCreateParams, options?: Core.RequestOptions): Core.APIPromise<UnrevokeCreateResponse>;
}
export type UnrevokeCreateResponse = unknown | string | null;
export interface UnrevokeCreateParams {
    /**
     * Path param:
     */
    account_id: string;
    /**
     * Body param: A list of device ids to unrevoke.
     */
    body: Array<string>;
}
export declare namespace Unrevoke {
    export import UnrevokeCreateResponse = UnrevokeAPI.UnrevokeCreateResponse;
    export import UnrevokeCreateParams = UnrevokeAPI.UnrevokeCreateParams;
}
//# sourceMappingURL=unrevoke.d.ts.map