import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as AuditSSHSettingsAPI from 'cloudflare/resources/zero-trust/gateway/audit-ssh-settings';
export declare class AuditSSHSettings extends APIResource {
    /**
     * Updates Zero Trust Audit SSH settings.
     */
    update(params: AuditSSHSettingUpdateParams, options?: Core.RequestOptions): Core.APIPromise<GatewaySettings>;
    /**
     * Get all Zero Trust Audit SSH settings for an account.
     */
    get(params: AuditSSHSettingGetParams, options?: Core.RequestOptions): Core.APIPromise<GatewaySettings>;
}
export interface GatewaySettings {
    created_at?: string;
    /**
     * SSH encryption public key
     */
    public_key?: string;
    /**
     * Seed ID
     */
    seed_id?: string;
    updated_at?: string;
}
export interface AuditSSHSettingUpdateParams {
    /**
     * Path param:
     */
    account_id: string;
    /**
     * Body param: SSH encryption public key
     */
    public_key: string;
    /**
     * Body param: Seed ID
     */
    seed_id?: string;
}
export interface AuditSSHSettingGetParams {
    account_id: string;
}
export declare namespace AuditSSHSettings {
    export import GatewaySettings = AuditSSHSettingsAPI.GatewaySettings;
    export import AuditSSHSettingUpdateParams = AuditSSHSettingsAPI.AuditSSHSettingUpdateParams;
    export import AuditSSHSettingGetParams = AuditSSHSettingsAPI.AuditSSHSettingGetParams;
}
//# sourceMappingURL=audit-ssh-settings.d.ts.map