import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ItemsAPI from 'cloudflare/resources/zero-trust/gateway/lists/items';
import * as ListsAPI from 'cloudflare/resources/zero-trust/gateway/lists/lists';
import { SinglePage } from 'cloudflare/pagination';
export declare class Items extends APIResource {
    /**
     * Fetches all items in a single Zero Trust list.
     */
    list(listId: string, params: ItemListParams, options?: Core.RequestOptions): Core.PagePromise<ItemListResponsesSinglePage, ItemListResponse>;
}
export declare class ItemListResponsesSinglePage extends SinglePage<ItemListResponse> {
}
/**
 * The items in the list.
 */
export type ItemListResponse = Array<ListsAPI.GatewayItem>;
export interface ItemListParams {
    account_id: string;
}
export declare namespace Items {
    export import ItemListResponse = ItemsAPI.ItemListResponse;
    export import ItemListResponsesSinglePage = ItemsAPI.ItemListResponsesSinglePage;
    export import ItemListParams = ItemsAPI.ItemListParams;
}
//# sourceMappingURL=items.d.ts.map