import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as BehavioursAPI from 'cloudflare/resources/zero-trust/risk-scoring/behaviours';
export declare class Behaviours extends APIResource {
    /**
     * Update configuration for risk behaviors
     */
    update(accountIdentifier: string, body: BehaviourUpdateParams, options?: Core.RequestOptions): Core.APIPromise<BehaviourUpdateResponse>;
    /**
     * Get all behaviors and associated configuration
     */
    get(accountIdentifier: string, options?: Core.RequestOptions): Core.APIPromise<BehaviourGetResponse>;
}
export interface BehaviourUpdateResponse {
    behaviors?: Record<string, BehaviourUpdateResponse.Behaviors>;
}
export declare namespace BehaviourUpdateResponse {
    interface Behaviors {
        description?: string;
        enabled?: boolean;
        name?: string;
        risk_level?: 'low' | 'medium' | 'high' | null;
    }
}
export interface BehaviourGetResponse {
    behaviors?: Record<string, BehaviourGetResponse.Behaviors>;
}
export declare namespace BehaviourGetResponse {
    interface Behaviors {
        description?: string;
        enabled?: boolean;
        name?: string;
        risk_level?: 'low' | 'medium' | 'high' | null;
    }
}
export interface BehaviourUpdateParams {
    behaviors?: Record<string, BehaviourUpdateParams.Behaviors>;
}
export declare namespace BehaviourUpdateParams {
    interface Behaviors {
        enabled: boolean;
        risk_level: 'low' | 'medium' | 'high' | null;
    }
}
export declare namespace Behaviours {
    export import BehaviourUpdateResponse = BehavioursAPI.BehaviourUpdateResponse;
    export import BehaviourGetResponse = BehavioursAPI.BehaviourGetResponse;
    export import BehaviourUpdateParams = BehavioursAPI.BehaviourUpdateParams;
}
//# sourceMappingURL=behaviours.d.ts.map