"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RiskScoring = void 0;
const resource_1 = require("cloudflare/resource");
const core_1 = require("cloudflare/core");
const BehavioursAPI = __importStar(require("cloudflare/resources/zero-trust/risk-scoring/behaviours"));
const SummaryAPI = __importStar(require("cloudflare/resources/zero-trust/risk-scoring/summary"));
class RiskScoring extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.behaviours = new BehavioursAPI.Behaviours(this._client);
        this.summary = new SummaryAPI.Summary(this._client);
    }
    get(accountIdentifier, userId, query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.get(accountIdentifier, userId, {}, query);
        }
        return this._client.get(`/accounts/${accountIdentifier}/zt_risk_scoring/${userId}`, {
            query,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Clear the risk score for a particular user
     */
    reset(accountIdentifier, userId, options) {
        return this._client.post(`/accounts/${accountIdentifier}/zt_risk_scoring/${userId}/reset`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.RiskScoring = RiskScoring;
(function (RiskScoring) {
    RiskScoring.Behaviours = BehavioursAPI.Behaviours;
    RiskScoring.Summary = SummaryAPI.Summary;
})(RiskScoring = exports.RiskScoring || (exports.RiskScoring = {}));
//# sourceMappingURL=risk-scoring.js.map