"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrotliResource = void 0;
const resource_1 = require("cloudflare/resource");
class BrotliResource extends resource_1.APIResource {
    /**
     * When the client requesting an asset supports the Brotli compression algorithm,
     * Cloudflare will serve a Brotli compressed version of the asset.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/brotli`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * When the client requesting an asset supports the Brotli compression algorithm,
     * Cloudflare will serve a Brotli compressed version of the asset.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/brotli`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.BrotliResource = BrotliResource;
(function (BrotliResource) {
})(BrotliResource = exports.BrotliResource || (exports.BrotliResource = {}));
//# sourceMappingURL=brotli.js.map