// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
export class BrotliResource extends APIResource {
    /**
     * When the client requesting an asset supports the Brotli compression algorithm,
     * Cloudflare will serve a Brotli compressed version of the asset.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/brotli`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * When the client requesting an asset supports the Brotli compression algorithm,
     * Cloudflare will serve a Brotli compressed version of the asset.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/brotli`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (BrotliResource) {
})(BrotliResource || (BrotliResource = {}));
//# sourceMappingURL=brotli.mjs.map