"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EarlyHints = void 0;
const resource_1 = require("cloudflare/resource");
const EarlyHintsAPI = __importStar(require("cloudflare/resources/zones/settings/early-hints"));
class EarlyHints extends resource_1.APIResource {
    /**
     * When enabled, Cloudflare will attempt to speed up overall page loads by serving
     * `103` responses with `Link` headers from the final response. Refer to
     * [Early Hints](https://developers.cloudflare.com/cache/about/early-hints) for
     * more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/early_hints`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * When enabled, Cloudflare will attempt to speed up overall page loads by serving
     * `103` responses with `Link` headers from the final response. Refer to
     * [Early Hints](https://developers.cloudflare.com/cache/about/early-hints) for
     * more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/early_hints`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.EarlyHints = EarlyHints;
(function (EarlyHints) {
    EarlyHints.EarlyHints = EarlyHintsAPI.EarlyHints;
})(EarlyHints = exports.EarlyHints || (exports.EarlyHints = {}));
//# sourceMappingURL=early-hints.js.map