"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinifyResource = void 0;
const resource_1 = require("cloudflare/resource");
class MinifyResource extends resource_1.APIResource {
    /**
     * Automatically minify certain assets for your website. Refer to
     * [Using Cloudflare Auto Minify](https://support.cloudflare.com/hc/en-us/articles/200168196)
     * for more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/minify`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Automatically minify certain assets for your website. Refer to
     * [Using Cloudflare Auto Minify](https://support.cloudflare.com/hc/en-us/articles/200168196)
     * for more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/minify`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.MinifyResource = MinifyResource;
(function (MinifyResource) {
})(MinifyResource = exports.MinifyResource || (exports.MinifyResource = {}));
//# sourceMappingURL=minify.js.map