"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.PolishResource = void 0;
const resource_1 = require("cloudflare/resource");
class PolishResource extends resource_1.APIResource {
    /**
     * Automatically optimize image loading for website visitors on mobile devices.
     * Refer to our [blog post](http://blog.cloudflare.com/polish-solving-mobile-speed)
     * for more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/polish`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Automatically optimize image loading for website visitors on mobile devices.
     * Refer to our [blog post](http://blog.cloudflare.com/polish-solving-mobile-speed)
     * for more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/polish`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.PolishResource = PolishResource;
(function (PolishResource) {
})(PolishResource = exports.PolishResource || (exports.PolishResource = {}));
//# sourceMappingURL=polish.js.map