"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrefetchPreloadResource = void 0;
const resource_1 = require("cloudflare/resource");
class PrefetchPreloadResource extends resource_1.APIResource {
    /**
     * Cloudflare will prefetch any URLs that are included in the response headers.
     * This is limited to Enterprise Zones.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/prefetch_preload`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Cloudflare will prefetch any URLs that are included in the response headers.
     * This is limited to Enterprise Zones.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/prefetch_preload`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.PrefetchPreloadResource = PrefetchPreloadResource;
(function (PrefetchPreloadResource) {
})(PrefetchPreloadResource = exports.PrefetchPreloadResource || (exports.PrefetchPreloadResource = {}));
//# sourceMappingURL=prefetch-preload.js.map