import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ProxyReadTimeoutAPI from 'cloudflare/resources/zones/settings/proxy-read-timeout';
export declare class ProxyReadTimeoutResource extends APIResource {
    /**
     * Maximum time between two read operations from origin.
     */
    edit(params: ProxyReadTimeoutEditParams, options?: Core.RequestOptions): Core.APIPromise<ProxyReadTimeout>;
    /**
     * Maximum time between two read operations from origin.
     */
    get(params: ProxyReadTimeoutGetParams, options?: Core.RequestOptions): Core.APIPromise<ProxyReadTimeout>;
}
/**
 * Maximum time between two read operations from origin.
 */
export interface ProxyReadTimeout {
    /**
     * ID of the zone setting.
     */
    id: 'proxy_read_timeout';
    /**
     * Current value of the zone setting.
     */
    value: number;
    /**
     * Whether or not this setting can be modified for this zone (based on your
     * Cloudflare plan level).
     */
    editable?: true | false;
    /**
     * last time this setting was modified.
     */
    modified_on?: string | null;
}
export interface ProxyReadTimeoutEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Maximum time between two read operations from origin.
     */
    value: ProxyReadTimeout;
}
export interface ProxyReadTimeoutGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace ProxyReadTimeoutResource {
    export import ProxyReadTimeout = ProxyReadTimeoutAPI.ProxyReadTimeout;
    export import ProxyReadTimeoutEditParams = ProxyReadTimeoutAPI.ProxyReadTimeoutEditParams;
    export import ProxyReadTimeoutGetParams = ProxyReadTimeoutAPI.ProxyReadTimeoutGetParams;
}
//# sourceMappingURL=proxy-read-timeout.d.ts.map