// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
import * as SecurityHeadersAPI from 'cloudflare/resources/zones/settings/security-headers';
export class SecurityHeaders extends APIResource {
    /**
     * Cloudflare security header for a zone.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/security_header`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Cloudflare security header for a zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/security_header`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (SecurityHeaders) {
    SecurityHeaders.SecurityHeaders = SecurityHeadersAPI.SecurityHeaders;
})(SecurityHeaders || (SecurityHeaders = {}));
//# sourceMappingURL=security-headers.mjs.map