"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SSLRecommenderResource = void 0;
const resource_1 = require("cloudflare/resource");
class SSLRecommenderResource extends resource_1.APIResource {
    /**
     * Enrollment in the SSL/TLS Recommender service which tries to detect and
     * recommend (by sending periodic emails) the most secure SSL/TLS setting your
     * origin servers support.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/ssl_recommender`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enrollment in the SSL/TLS Recommender service which tries to detect and
     * recommend (by sending periodic emails) the most secure SSL/TLS setting your
     * origin servers support.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/ssl_recommender`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.SSLRecommenderResource = SSLRecommenderResource;
(function (SSLRecommenderResource) {
})(SSLRecommenderResource = exports.SSLRecommenderResource || (exports.SSLRecommenderResource = {}));
//# sourceMappingURL=ssl-recommender.js.map