"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TLSClientAuthResource = void 0;
const resource_1 = require("cloudflare/resource");
class TLSClientAuthResource extends resource_1.APIResource {
    /**
     * TLS Client Auth requires Cloudflare to connect to your origin server using a
     * client certificate (Enterprise Only).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/tls_client_auth`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * TLS Client Auth requires Cloudflare to connect to your origin server using a
     * client certificate (Enterprise Only).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/tls_client_auth`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.TLSClientAuthResource = TLSClientAuthResource;
(function (TLSClientAuthResource) {
})(TLSClientAuthResource = exports.TLSClientAuthResource || (exports.TLSClientAuthResource = {}));
//# sourceMappingURL=tls-client-auth.js.map