// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from 'cloudflare/resource';
export class TLSClientAuthResource extends APIResource {
    /**
     * TLS Client Auth requires Cloudflare to connect to your origin server using a
     * client certificate (Enterprise Only).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/tls_client_auth`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * TLS Client Auth requires Cloudflare to connect to your origin server using a
     * client certificate (Enterprise Only).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/tls_client_auth`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (TLSClientAuthResource) {
})(TLSClientAuthResource || (TLSClientAuthResource = {}));
//# sourceMappingURL=tls-client-auth.mjs.map