"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZeroRTTResource = void 0;
const resource_1 = require("cloudflare/resource");
class ZeroRTTResource extends resource_1.APIResource {
    /**
     * Changes the 0-RTT session resumption setting.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/0rtt`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets 0-RTT session resumption setting.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/0rtt`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.ZeroRTTResource = ZeroRTTResource;
(function (ZeroRTTResource) {
})(ZeroRTTResource = exports.ZeroRTTResource || (exports.ZeroRTTResource = {}));
//# sourceMappingURL=zero-rtt.js.map